Tripnet - Feature #38376
live issue - Website Slow
04/19/2018 04:11 pm - Albin Paul

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done:

Category: Feature Estimated time:
Target version: Spent time:
End_Date: 05/04/2018 Areas Affected:
remarks: Files Changed:

DB Changes: Initial Planned Hours:
Keys & Permissions:

04/26/2018
05/04/2018
100%

0.00 hour
88.20 hours

Description

When Website is loaded and login and select any section from Menu and then search etc everything works delayed, please check

unwanted searches. also Improve performance

check the images sizes, if huge size exist minfy the images.

https://gtmetrix.com - make sure site performance shows A grade

Subtasks:
Feature # 38726: live issue - Website Slow-Performance Optimization

Closed

History

#1 - 04/20/2018 09:16 am - Sreerag Prasannan
- Description updated
- Priority changed from High to Immediate

#2 - 04/20/2018 09:17 am - Sreerag Prasannan
- Subject changed from live issue to live issue - Website Slow

#3 - 04/20/2018 10:11 am - Jubin J
- Due date set to 04/24/2018
- Status changed from New to Assigned

- Assignee set to Jils Thomas
- Start date changed from 04/19/2018 to 04/20/2018

#4 - 04/20/2018 03:21 pm - Jils Thomas
- Status changed from Assigned to In Progress

#5 - 04/20/2018 03:23 pm - Jils Thomas
- % Done changed from 0 to 20

- Performance improvements are maintaining in Home page and sales report page.

#6 - 04/22/2018 09:05 am - Sreerag Prasannan
- Description updated

#7 - 04/23/2018 06:05 pm - Jils Thomas

04/29/2025

1/2



https://gtmetrix.com

- % Done changed from 20 to 40

- Agency split up is done; entire dependent sps are changed.
- Code side implementations are in progress

#8 - 04/24/2018 04:59 pm - Jubin J

- Due date changed from 04/24/2018 to 04/26/2018

#9 - 04/24/2018 05:11 pm - Jils Thomas

- % Done changed from 40 to 50

- Cached agency details are using in entire project. Replacing and removing db access for agency related data.

#10 - 04/25/2018 05:19 pm - Jils Thomas

- Agency data fetch are removed. Api fetch are cached.Page wise performance are verifying and resolving unwanted requests.

#11 - 04/26/2018 06:16 pm - Jils Thomas

- All dependencies are identified and solved with new structure

- Split tables are merged to development db

- Discussions for more optimization with leads

#12 - 04/27/2018 04:57 pm - Jils Thomas

- Page caching done for all admin pages.

#13 - 05/08/2018 08:10 am - Jils Thomas

- Status changed from In Progress to Fixed not Tested

- End_Date set to 05/04/2018

#14 - 05/31/2018 12:24 pm - Albin Paul

- Status changed from Fixed not Tested to Closed
- Assignee deleted (Jils Thomas)

Agency split up is done.Given task for improvement.
